ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetSessionLog

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.InetSession
  - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetSessionLog

- All Implemented Interfaces:
    java.lang.Cloneable

      public class InetSessionLog
      extends InetSession
      implements java.lang.Cloneable

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.inet.api.common.bean.InetSession

      `connectionId, deviceState, id, lastActive, parentId, sessionCost, sessionStart, sessionStop, sessionTime, splittedId, status, STATUS_ALIVE, STATUS_CLOSED, STATUS_FINISHED, STATUS_SUSPENDED, TYPE_FAKE, TYPE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetSessionLog()`
    `InetSessionLog(InetConnection connection, InetSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSessionLog` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAccessCode()` Для неавторизованной сессии - код ошибки.
    `java.util.Map<java.lang.Integer,InetSessionLogAccount>` | `getAccountMap()`
    `java.lang.String` | `getAcctSessionId()`
    `int` | `getAgentDeviceId()`
    `java.lang.String` | `getCalledStationId()`
    `java.lang.String` | `getCallingStationId()`
    `java.util.List<InetSessionLog>` | `getChildren()`
    `java.lang.String` | `getCircuitId()`
    `java.util.Date` | `getConnectionStart()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `byte[]` | `getDelegatedPrefix()`
    `short` | `getDelegatedPrefixLength()`
    `int` | `getDelegatedPrefixResourceId()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptions()`
    `int` | `getDevicePort()`
    `java.lang.String` | `getDurationAsString()` Возвращает продолжительность сессии в строковом виде.
    `java.lang.String` | `getFromNumberToNumberAsString()` Возвращает строку "с номера/на номер" для отображения в таблице
    `java.lang.String` | `getInetAddress()`
    `byte[]` | `getInetAddressBytes()`
    `int` | `getIpResourceId()`
    `long` | `getParentConnectionId()`
    `byte[]` | `getPrefix()`
    `short` | `getPrefixLength()`
    `int` | `getPrefixResourceId()`
    `java.lang.String` | `getRealm()`
    `java.util.List<IpNet>` | `getRouteList()`
    `java.lang.String` | `getServiceTitle()`
    `int` | `getServId()`
    `java.lang.String` | `getSessionActivityAsString()`
    `java.lang.String` | `getSessionStartAsString()`
    `java.lang.String` | `getSessionStopAsString()`
    `java.lang.String` | `getStatusName()`
    `java.util.Map<java.lang.Integer,java.lang.Long>` | `getTrafficMap()`
    `int` | `getType()` Авторизированная ли сессия.
    `java.lang.String` | `getUsername()`
    `int` | `hashCode()` hashCode является connectionId - чтобы можно было в hashmap хранить по одному connectionId
    `void` | `setAccessCode(int accessCode)`
    `void` | `setAccountMap(java.util.Map<java.lang.Integer,InetSessionLogAccount> accountMap)`
    `void` | `setAcctSessionId(java.lang.String acctSessionId)`
    `void` | `setAgentDeviceId(int agentDeviceId)`
    `void` | `setCalledStationId(java.lang.String fromNumber)`
    `void` | `setCallingStationId(java.lang.String toNumber)`
    `void` | `setChildren(java.util.List<InetSessionLog> children)`
    `void` | `setCircuitId(java.lang.String circuitId)`
    `void` | `setConnectionStart(java.util.Date connectionStart)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDelegatedPrefix(byte[] delegatedPrefix)`
    `void` | `setDelegatedPrefixLength(short delegatedPrefixLength)`
    `void` | `setDelegatedPrefixResourceId(int delegatedPrefixResourceId)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setDeviceOptions(java.util.Set<java.lang.Integer> deviceOptions)`
    `void` | `setDevicePort(int port)`
    `void` | `setInetAddress(java.lang.String nil)` Заглушка для JAXB
    `void` | `setInetAddressBytes(byte[] inetAddressBytes)`
    `void` | `setIpResourceId(int ipResourceId)`
    `void` | `setParentConnectionId(long parentSessionId)`
    `void` | `setPrefix(byte[] prefix)`
    `void` | `setPrefixLength(short prefixLength)`
    `void` | `setPrefixResourceId(int prefixResourceId)`
    `void` | `setRealm(java.lang.String realm)`
    `void` | `setRouteList(java.util.List<IpNet> routeList)`
    `void` | `setServiceTitle(java.lang.String serviceTitle)`
    `void` | `setServId(int loginId)`
    `void` | `setStatusName(java.lang.String nil)` Заглушка для JAXB
    `void` | `setTrafficMap(java.util.Map<java.lang.Integer,java.lang.Long> trafficMap)`
    `void` | `setType(int type)`
    `void` | `setUsername(java.lang.String userName)`
    `InetConnection` | `toConnection()`
    `InetSession` | `toSession()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.inet.api.common.bean.InetSession

      `getConnectionId, getDeviceState, getId, getLastActive, getParentId, getSessionCost, getSessionStart, getSessionStop, getSessionTime, getSplittedId, getStatus, setConnectionId, setDeviceState, setId, setLastActive, setParentId, setSessionCost, setSessionStart, setSessionStop, setSessionTime, setSplittedId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetSessionLog

          public InetSessionLog()

    - #### InetSessionLog

          public InetSessionLog(InetConnection connection,
                                InetSession session)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      hashCode является connectionId - чтобы можно было в hashmap хранить по одному connectionId
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getServId

          public int getServId()

    - #### setServId

          public void setServId(int loginId)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getDevicePort

          public int getDevicePort()

    - #### setDevicePort

          public void setDevicePort(int port)

    - #### getAgentDeviceId

          public int getAgentDeviceId()

    - #### setAgentDeviceId

          public void setAgentDeviceId(int agentDeviceId)

    - #### getConnectionStart

          public java.util.Date getConnectionStart()

    - #### setConnectionStart

          public void setConnectionStart(java.util.Date connectionStart)

    - #### getParentConnectionId

          public long getParentConnectionId()

    - #### setParentConnectionId

          public void setParentConnectionId(long parentSessionId)

    - #### getRealm

          public java.lang.String getRealm()

    - #### setRealm

          public void setRealm(java.lang.String realm)

    - #### getChildren

          public java.util.List<InetSessionLog> getChildren()

    - #### setChildren

          public void setChildren(java.util.List<InetSessionLog> children)

    - #### getAcctSessionId

          public java.lang.String getAcctSessionId()

    - #### setAcctSessionId

          public void setAcctSessionId(java.lang.String acctSessionId)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String userName)

    - #### getCalledStationId

          public java.lang.String getCalledStationId()

    - #### setCalledStationId

          public void setCalledStationId(java.lang.String fromNumber)

    - #### getCallingStationId

          public java.lang.String getCallingStationId()

    - #### setCallingStationId

          public void setCallingStationId(java.lang.String toNumber)

    - #### getCircuitId

          public java.lang.String getCircuitId()

    - #### setCircuitId

          public void setCircuitId(java.lang.String circuitId)

    - #### getIpResourceId

          public int getIpResourceId()

    - #### setIpResourceId

          public void setIpResourceId(int ipResourceId)

    - #### getInetAddressBytes

          public byte[] getInetAddressBytes()

    - #### setInetAddressBytes

          public void setInetAddressBytes(byte[] inetAddressBytes)

    - #### getInetAddress

          public java.lang.String getInetAddress()

    - #### setInetAddress

          public void setInetAddress(java.lang.String nil)

      Заглушка для JAXB
      Parameters:
        `nil` -

    - #### getRouteList

          public java.util.List<IpNet> getRouteList()

    - #### setRouteList

          public void setRouteList(java.util.List<IpNet> routeList)

    - #### getType

          public int getType()

      Авторизированная ли сессия. Если true - как fake сессия в dialup.
      Returns:

    - #### setType

          public void setType(int type)

    - #### getAccessCode

          public int getAccessCode()

      Для неавторизованной сессии - код ошибки.
      Returns:

    - #### setAccessCode

          public void setAccessCode(int accessCode)

    - #### getDeviceOptions

          public java.util.Set<java.lang.Integer> getDeviceOptions()

    - #### setDeviceOptions

          public void setDeviceOptions(java.util.Set<java.lang.Integer> deviceOptions)

    - #### clone

          public InetSessionLog clone()
                               throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTrafficMap

          public java.util.Map<java.lang.Integer,java.lang.Long> getTrafficMap()

    - #### setTrafficMap

          public void setTrafficMap(java.util.Map<java.lang.Integer,java.lang.Long> trafficMap)

    - #### getAccountMap

          public java.util.Map<java.lang.Integer,InetSessionLogAccount> getAccountMap()

    - #### setAccountMap

          public void setAccountMap(java.util.Map<java.lang.Integer,InetSessionLogAccount> accountMap)

    - #### getStatusName

          public java.lang.String getStatusName()

    - #### setStatusName

          public void setStatusName(java.lang.String nil)

      Заглушка для JAXB
      Parameters:
        `nil` -

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### getServiceTitle

          public java.lang.String getServiceTitle()

    - #### setServiceTitle

          public void setServiceTitle(java.lang.String serviceTitle)

    - #### toSession

          public InetSession toSession()

    - #### toConnection

          public InetConnection toConnection()

    - #### getFromNumberToNumberAsString

          public java.lang.String getFromNumberToNumberAsString()

      Возвращает строку "с номера/на номер" для отображения в таблице
      Returns:

    - #### getDurationAsString

          public java.lang.String getDurationAsString()

      Возвращает продолжительность сессии в строковом виде.
      Returns:

    - #### getSessionStartAsString

          public java.lang.String getSessionStartAsString()

    - #### getSessionStopAsString

          public java.lang.String getSessionStopAsString()

    - #### getSessionActivityAsString

          public java.lang.String getSessionActivityAsString()

    - #### getPrefixResourceId

          public int getPrefixResourceId()

    - #### setPrefixResourceId

          public void setPrefixResourceId(int prefixResourceId)

    - #### getPrefix

          public byte[] getPrefix()

    - #### setPrefix

          public void setPrefix(byte[] prefix)

    - #### getPrefixLength

          public short getPrefixLength()

    - #### setPrefixLength

          public void setPrefixLength(short prefixLength)

    - #### getDelegatedPrefixResourceId

          public int getDelegatedPrefixResourceId()

    - #### setDelegatedPrefixResourceId

          public void setDelegatedPrefixResourceId(int delegatedPrefixResourceId)

    - #### getDelegatedPrefix

          public byte[] getDelegatedPrefix()

    - #### setDelegatedPrefix

          public void setDelegatedPrefix(byte[] delegatedPrefix)

    - #### getDelegatedPrefixLength

          public short getDelegatedPrefixLength()

    - #### setDelegatedPrefixLength

          public void setDelegatedPrefixLength(short delegatedPrefixLength)